您现在的位置是: Home> 学无止境> Python> Python

pyhon安装fbprophet遇到的问题以及解决办法

张伟江2021-01-11 12:48Python864人已围观

1、安装anaconda

Anaconda 是一个python的发行版,包括了python和很多常见的软件库, 和一个包管理器conda。点击下载安装anaconda:https://www.zhangweijiang.com/article/85.html,anaconda的基本命令使用可参考:https://www.zhangweijiang.com/article/84.html

2、anaconda创建并使用虚拟环境

# 创建名为prophet的虚拟环境,并安装Python3.7及必要的Python库。此命令也可以不指定Python版本,但会创建一个不含Python的空环境,如果没有特殊需求,请直接指定Python版本
conda create -n prophet python=3.7.0
# 激活虚拟环境
source activate prophet

2、修改pip镜像源,配置为清华的镜像

conda config --add channels https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msys2/
conda config --add channels https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge/
conda config --add channels https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/
conda config --set show_channel_urls yes

3、conda安装pystan

Prophet的主要依赖是pystan,安装fbprophet前先安装pystan

conda install pystan

4、pip安装fbprophet

pip install fbprophet

安装成功会如上图显示,红色部门报错可忽略,那是因为没有安装convertdate库,它会自动安装上去的。

执行python进入命令窗口,输入import fbprophet如果报一下错就安装plotly

conda install plotly -y

5、安装遇到的常见错误和解决办法

问题1:NotWritableError: The current user does not have write permissions to a required path.
解决方法:以管理员身份运行cmd。

问题2: import Prophet时出现ERROR:fbprophet:Importing plotly failed. Interactive plots will not work.
解决方法:conda install plotly -y

问题3:安装fbprophet失败

解决办法:尝试用conda安装,用下面命令安装

conda install -c conda-forge fbprophet
解决办法:下载fbprophet解压到虚拟环境的lib/site-packages/下,conda到虚拟环境下并cd到安装目录下,执行python setup.py install即可安装。

- END -

点赞(0) 打赏

文章评论 共有 0 条评论

暂无评论

本栏推荐

猜你喜欢

站点信息

  • 建站时间:2018年10月24日
  • 网站程序:fastadmin
  • 文章统计238篇文章
  • 标签管理标签云
  • 统计数据百度统计
  • 微信号:zwj982215226

打赏本站

  • 如果你觉得本站很棒,可以通过扫码支付打赏哦!
  • 微信扫码:你说多少就多少~
  • 支付宝扫码:你说多少就多少~

微信小程序

微信扫一扫体验

立即
投稿

微信公众账号

微信扫一扫加关注

发表
评论
返回
顶部